Skip to content

Retrieve the list of sales

GET
/api/ventas/
curl --request GET \
--url https://api.koibox.cloud/api/ventas/ \
--header 'X-Koibox-Key: <X-Koibox-Key>'
id__in
Array<integer>
fecha__gte
string format: date-time
fecha__lte
string format: date-time
fecha__gt
string format: date-time
fecha__lt
string format: date-time
created_by__id
integer
created_by__id__in
Array<integer>
assigned_to__id
integer
assigned_to__id__in
Array<integer>
cliente__id
integer
cliente__id__in
Array<integer>
cita__id
integer
cita__id__in
Array<integer>
is_pagada
boolean
limit
integer
offset
integer

List of requested sales

Media typeapplication/json
object
count
integer
next
One of:
string format: uri
previous
One of:
string format: uri
results
Array
object
id

Read-only

integer
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
fecha

Datetime of the sale

string format: date-time
base_imponible

Taxable base of the sale

number
total

Total of the sale, including taxes and discounts

number
importe_descuento_porcentaje

Discount percentage applied to the sale

number
importe_descuento_moneda

Absolute discount amount applied to the sale

number
importe_descuento_irpf

Withheld IRPF amount

number
observaciones

Observations of the sale

string
forma_pago
One of:
integer
importe_tarjeta_regalo
number
importe_tarjeta_fidelidad
number
importe_programa_puntos
number
puntos_utilizados
integer
puntos_generados

Read-only

integer
importe_impuestos
number
entrega

The amount the client pays

number
entrega_efectivo

In case of a mixed sale, the amount the client pays in cash

number
entrega_tarjeta

In case of a mixed sale, the amount the client pays by card

number
is_pagada
boolean
is_enviar_encuesta
boolean
is_email_encuesta_sent
boolean
is_sms_encuesta_sent
boolean
num_ticket
integer
is_rectificada
boolean
created_by
object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
assigned_to
object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
cliente
object
text

Name of the client

string
value

Identifier of the client

integer
email
string format: email
movil

Mobile number of the client

string format: tel
notas
string
is_anonymous
boolean
foto_url_absolute_path
string format: uri
localidad
string
importe_ventas
number
importe_deudas
number
code
integer
manual_code
string
fijo
string
dni
string
prefijo_tel
integer
tarjeta_regalo_usada
object
value

Identifier of the gift card

integer
text

Name of the gift card

string
precio

Price of the gift card

number
tarjeta_fidelidad_vendida
object
value

Identifier of the loyalty card

integer
text

Name of the loyalty card

string
precio

Price of the loyalty card

number
cita

Identifier of the appointment

integer
venta_original_rectificar

Rectified sale by this one

integer

The access key has not been provided in the X-Koibox-Key header

WWW-Authenticate
string
default: X-Koibox-Key

Indicates the required header for authentication

No valid access key has been provided